<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Recipe details list</title>
</head>
<body>
<div th:each="recipedetails : ${recipedetails}">
  <a th:href="@{/recipedetails/{id}(id=${recipedetails.getId()})}"
     th:text="${recipedetails.getRecipe().getName() + ' - ' +recipedetails.getProduct().getName() + ' - ' + recipedetails.getAmount()}">recipe details</a>
</div>
</body>
</html>